<xml xmlns="https://developers.google.com/blockly/xml">
     <description><![CDATA[
    
    
## Experimental Feature. Computer Vision
    
Record and manipulate images recorded from the front/back camera.

<iframe width="560" height="315" src="https://www.youtube.com/embed/EpHHADQs1fQ?controls=0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
    
    Track circular objects with the blob detector. Plot X position
    
<img class="ui image fluid" src='data:image/jpeg;base64,[encoded data, 59216 characters]'/>    
    ]]></description>


  <variables>
    <variable id="@U+LYV$pLG}De],aXLBN">blbs</variable>
  </variables>
  <block type="start_camera" id="O]=tyc7xP1$ggHJn/_zM" x="-12" y="-645">
    <field name="CAMERA">environment</field>
    <next>
      <block type="controls_repeat_ext" id="{O=Jwk9ed}iN~LzcKc!H">
        <value name="TIMES">
          <shadow type="math_number" id="E%yB6~aR#|f]z8L_N[x8">
            <field name="NUM">10000</field>
          </shadow>
        </value>
        <statement name="DO">
          <block type="variables_set" id="G(^xJ~gXo1vg2P_IYFVS">
            <field name="VAR" id="@U+LYV$pLG}De],aXLBN">blbs</field>
            <value name="VALUE">
              <block type="get_biggest_circle" id="Ehi/|wgT{i*:qQftB~.W">
                <field name="PREVIEW">TRUE</field>
                <value name="ID">
                  <block type="to_gray" id="_)4`|}([):/8wro)oHeR">
                    <field name="PREVIEW">FALSE</field>
                    <value name="ID">
                      <block type="get_frame" id="uZJ;Zn5dD-40th$/nRuD">
                        <field name="PREVIEW">FALSE</field>
                      </block>
                    </value>
                  </block>
                </value>
              </block>
            </value>
            <next>
              <block type="plot_datapoint" id="xKH;pqmb7nSvjMWZ{+P|">
                <value name="VALUE">
                  <block type="lists_getIndex" id="vORZ(sJvgcP6lpT*p7z8">
                    <mutation statement="false" at="false"></mutation>
                    <field name="MODE">GET</field>
                    <field name="WHERE">FIRST</field>
                    <value name="VALUE">
                      <block type="variables_get" id="2Zy%?E@y9W};I*,mVe/(">
                        <field name="VAR" id="@U+LYV$pLG}De],aXLBN">blbs</field>
                      </block>
                    </value>
                  </block>
                </value>
              </block>
            </next>
          </block>
        </statement>
      </block>
    </next>
  </block>
</xml>
